# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ordinaryd"
version = "0.5.51"
authors = ["sean watters <sean@ordinarylabs.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Ordinary Server"
homepage = "https://codeberg.org/ordinarylabs/Ordinary"
readme = "README.md"
categories = [
    "command-line-utilities",
    "web-programming::http-server",
    "wasm",
]
license = "AGPL-3.0-only"
repository = "https://codeberg.org/ordinarylabs/Ordinary"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
default = []
docs = ["dep:clap-markdown"]
jemalloc = ["dep:tikv-jemallocator"]
mimalloc = ["dep:mimalloc"]

[lib]
name = "ordinaryd"
path = "src/lib.rs"

[[bin]]
name = "ordinaryd"
path = "src/main.rs"

[dependencies.bytesize]
version = "2.3.1"

[dependencies.clap]
version = "4.5.57"
features = ["derive"]

[dependencies.clap-markdown]
version = "0.1.5"
optional = true

[dependencies.getrandom]
version = "0.4.1"
features = ["sys_rng"]

[dependencies.hickory-client]
version = "0.25.2"

[dependencies.mimalloc]
version = "0.1.48"
optional = true

[dependencies.ordinary-api]
version = "0.5.51"
features = ["server"]
default-features = false
package = "godfather"

[dependencies.ordinary-app]
version = "0.5.51"
package = "skyhook"

[dependencies.ordinary-auth]
version = "0.5.51"
package = "cbwaw"

[dependencies.ordinary-config]
version = "0.5.51"
package = "configinator"

[dependencies.ordinary-monitor]
version = "0.5.51"
package = "insightful"

[dependencies.ordinary-storage]
version = "0.5.51"
package = "stewball"

[dependencies.ordinary-types]
version = "0.5.51"
package = "notatype"

[dependencies.ordinary-utils]
version = "0.5.51"
package = "hydrospanner"

[dependencies.page_size]
version = "0.6.0"

[dependencies.qrcodegen]
version = "1.8.0"

[dependencies.rand_chacha]
version = "0.10.0"

[dependencies.rustls]
version = "0.23.36"
features = ["aws-lc-rs"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.tikv-jemallocator]
version = "0.6.1"
optional = true

[dependencies.tokio]
version = "1.49.0"
features = [
    "rt",
    "rt-multi-thread",
    "io-util",
    "net",
    "time",
    "macros",
    "sync",
    "parking_lot",
    "signal",
]

[dependencies.tracing]
version = "0.1.44"
features = ["valuable"]

[dependencies.tracing-appender]
version = "0.2.4"

[dependencies.tracing-subscriber]
version = "0.3.22"
features = [
    "env-filter",
    "parking_lot",
    "json",
    "valuable",
    "time",
]

[lints.clippy]
unwrap_used = "deny"
